#ifndef KJSEEKER_H
#define KJSEEKER_H

#include "kjwidget.h"
//#include "kjloader.h"
class KJLoader;

#include <tqpainter.h>

class KJSeeker : public KJWidget
{
public:
	KJSeeker(const TQStringList &i, KJLoader *);
	~KJSeeker();


	virtual void paint(TQPainter *, const TQRect &rect);
	virtual bool mousePress(const TQPoint &pos);
	virtual void mouseRelease(const TQPoint &pos, bool);

	void timeUpdate(int mille);

	void closest();

private:
	TQPixmap *toPixmap(int n);
	
private:
	TQImage mScale;
	TQImage mActive;
	TQPixmap *barmode[256];
	TQImage *barmodeImages[256];
	TQBitmap barModeMask;
	int g;
};

#endif
